View Issue Details

IDProjectCategoryView StatusLast Update
0020309LazarusOtherpublic2019-04-22 19:30
ReporterMartin FriebeAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.30.1 (SVN) 
Summary0020309: TCustomDrawn crash
Descriptionjust dropped a TCustomDrawn Trackbar on a TForm in designer (new app, empty form)
w32 vista / Laz 0.9.31 / fpc 2.7.1

TApplication.HandleException Division by zero
  Stack trace:
  $00CA6262 line 2023 of customdrawnextras.pas
  $00CA5D1B line 1914 of customdrawnextras.pas
  $005D00FB line 132 of include/customcontrol.inc
  $005B8CF5 line 4688 of include/wincontrol.inc
  $005BD3D0 line 6570 of include/wincontrol.inc
  $005CFFEC line 112 of include/customcontrol.inc
  $0040C5D6 line 592 of ../inc/objpas.inc
  $007E23A3 line 2616 of ../designer/designer.pp
  $005C692E line 1594 of include/control.inc
  $005BA318 line 5243 of include/wincontrol.inc
  $0063FA1E line 111 of lclmessageglue.pas
  $0056D4D6 line 512 of win32/win32callback.inc
  $0056A881 line 1942 of win32/win32callback.inc
  $7524FD72
  $7524FE4A
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Felipe Monteiro de Carvalho

2011-09-25 15:16

developer   ~0052172

I fixed the crash in rev 32509 and in rev 32511 I did a large rework of the code, greatly improving it.

Issue History

Date Modified Username Field Change
2011-09-21 11:10 Martin Friebe New Issue
2011-09-21 11:10 Martin Friebe LazTarget => -
2011-09-21 11:10 Martin Friebe Widgetset => Win32/Win64
2011-09-25 12:02 Felipe Monteiro de Carvalho Status new => assigned
2011-09-25 12:02 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2011-09-25 15:16 Felipe Monteiro de Carvalho Status assigned => resolved
2011-09-25 15:16 Felipe Monteiro de Carvalho Fixed in Version => 0.9.30.1 (SVN)
2011-09-25 15:16 Felipe Monteiro de Carvalho Resolution open => fixed
2011-09-25 15:16 Felipe Monteiro de Carvalho Note Added: 0052172
2019-04-22 19:30 Martin Friebe Status resolved => closed